Create New Element Attribute

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes

List of Valid Element Dynamic Attributes

  • To find out what elements have dynamic attributes and what values are accepted, take a look here.
  • Path parameters

    • profile_id string Required

      id of the profile

    • page_id number Required

      id of the page

    • element_id number Required

      id of the element

    application/json

    Body

    • attributename_1224hourtime string
    • value string Required

      value validation (ie. string or boolean) could change based on specific element dynamic attribute.

    Responses

    • 201 application/json

      Created

      Hide response attribute Show response attribute object
      • attributename_1224hourtime string

        created element dynamic attribute

    POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
    curl \
     --request POST 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/elements/{element_id}/dynamic_attributes' \
     --header "Authorization: Bearer $ACCESS_TOKEN" \
     --header "Content-Type: application/json" \
     --data '{"attributename_1224hourtime":"string","value":"12hr"}'
    Request examples
    {
      "attributename_1224hourtime": "string",
      "value": "12hr"
    }
    Response examples (201)
    [
      {
        "attribute_name": "12_24_hour_time"
      },
      {
        "attribute_name": "gdpr"
      }
    ]